PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Organisation

Returns an array of all organisations. Every organisation must be managed by you or the organisation which you work for.

GET
https://api.employmenthero.com/api/v1/organisations

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an item array of up to limit organisations. Each entry in the array is a separate organisation object. If there are no more organisations, the resulting array will be empty.

dataobject
itemsobject[]
iduuid

Unique identifier for the object.

namestring

The name of the organisation to retrieve

phonestring

The phone number of your organisation

countrystring

Two-letter ISO code representing the country of your organisation

logo_urlstring

The publicly accessible URL to fetch the your organisation logo.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "bdfcb02b-fcc3-4f09-8636-c06c14345b86",        "name": "Employment Hero Pty Ltd",        "phone": "+61280302222",        "country": "AU",        "logo_url": "http://logo.png"      },      {        "id": "5a2704b0-e8a2-4765-9aec-b193e30672e4",        "name": "Thinkei",        "phone": "+611234567890",        "country": "AU",        "logo_url": "http://logo.png"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 2,    "total_pages": 1  }}

This endpoint retrieves information for a specific organisation. The same data is returned as when listing the organisation, but with some additional details.

GET
https://api.employmenthero.com/api/v1/organisations/:id

Path Parameters

iduuidrequired

The ID of the organisations to retrieve

Response Body

dataobject
iduuid

Unique identifier for the object.

namestring

The name of the organisation to retrieve

phonestring

The phone number of your organisation

countrystring

Two-letter ISO code representing the country of your organisation

logo_urlstring

The publicly accessible URL to fetch the your organisation logo.

primary_addressstring

The organisation's address.

end_of_weekstring

The end of week day for the organisation

typical_work_daystring

The typical work day of your organisation (Ex: 8.0 hours).

payroll_admin_emailsstring[]

The list of all your payroll admin emails.

subscription_planstring

The organisation's subscription plan.

superfund_namestring

The name of your organisation superfund

employees_countnumber

The number of your organisation employees

active_employees_countnumber

The number of active employees

pending_employees_countnumber

The number of pending employees

time_zonestring

The organisation's time zone

created_atdatetime

Time at which the organisation was created

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:id" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "id": "bdfcb02b-fcc3-4f09-8636-c06c14345b86",    "name": "Employment Hero Pty Ltd",    "phone": "+612803222",    "country": "AU",    "logo_url": "logo.png",    "primary_address": "Test Street 79390, 11-17 York Street, SYDNEY, NSW, 2000, AU",    "end_of_week": "Saturday",    "typical_work_day": "8.0",    "payroll_admin_emails": [      "admin1@thinkei.com",      "admin2@thinkei.com",      "admin3@thinkei.com"    ],    "subscription_plan": "CSA (8)",    "superfund_name": null,    "employees_count": 154,    "active_employees_count": 105,    "pending_employees_count": 4,    "time_zone": "Australia/Sydney",    "created_at": "2016-04-12T16:49:37+10:00"  }}